Bug 18860 - OPAC Messaging Settings table is not styled with thead
Summary: OPAC Messaging Settings table is not styled with thead
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Whiteboard:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2017-06-27 01:57 UTC by Aleisha Amohia
Modified: 2017-11-28 07:12 UTC (History)
3 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18860: Adding thead tags to OPAC messaging settings table (3.72 KB, patch)
2017-06-27 02:04 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 18860: Adding thead tags to OPAC messaging settings table (3.78 KB, patch)
2017-07-06 15:04 UTC, Jesse Maseto
Details | Diff | Splinter Review
Bug 18860: Adding thead tags to OPAC messaging settings table (3.86 KB, patch)
2017-08-30 19:54 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2017-06-27 01:57:23 UTC
The messaging settings table in the OPAC does not have <thead> around the header row, which means it doesn't get styled the same way as the other tables in the OPAC. This is more noticeable when you adding custom styles and themes to OPAC tables, where they don't get applied to this table.
Comment 1 Aleisha Amohia 2017-06-27 02:04:06 UTC
Created attachment 64667 [details] [review]
Bug 18860: Adding thead tags to OPAC messaging settings table

So that it can be styled alongside other tables in the OPAC.

To test:
1) Log into staff side
2) Find OPACUserCSS syspref and add the following CSS:
thead {
color: red;
}
3) Log into the OPAC
4) Go to your fines, your search history, your reading history etc -
notice all of these table's headings are styled with red text
5) Go to your messaging. Notice this table's headings are not styled
with red text
6) Apply patch and refresh page
7) Your messaging table should now have red headings.
(You can delete the CSS from OPACUserCSS if you'd like.)

Sponsored-by: Catalyst IT
Comment 2 Jesse Maseto 2017-07-06 15:04:11 UTC
Created attachment 64852 [details] [review]
Bug 18860: Adding thead tags to OPAC messaging settings table

So that it can be styled alongside other tables in the OPAC.

To test:
1) Log into staff side
2) Find OPACUserCSS syspref and add the following CSS:
thead {
color: red;
}
3) Log into the OPAC
4) Go to your fines, your search history, your reading history etc -
notice all of these table's headings are styled with red text
5) Go to your messaging. Notice this table's headings are not styled
with red text
6) Apply patch and refresh page
7) Your messaging table should now have red headings.
(You can delete the CSS from OPACUserCSS if you'd like.)

Sponsored-by: Catalyst IT

Signed-off-by: Jesse Maseto <jesse@bywatersolutions.com>
Comment 3 Jesse Maseto 2017-07-06 15:05:18 UTC
This patch does exactly what the tests describe.
Comment 4 Jonathan Druart 2017-08-30 19:54:43 UTC
Created attachment 66654 [details] [review]
Bug 18860: Adding thead tags to OPAC messaging settings table

So that it can be styled alongside other tables in the OPAC.

To test:
1) Log into staff side
2) Find OPACUserCSS syspref and add the following CSS:
thead {
color: red;
}
3) Log into the OPAC
4) Go to your fines, your search history, your reading history etc -
notice all of these table's headings are styled with red text
5) Go to your messaging. Notice this table's headings are not styled
with red text
6) Apply patch and refresh page
7) Your messaging table should now have red headings.
(You can delete the CSS from OPACUserCSS if you'd like.)

Sponsored-by: Catalyst IT

Signed-off-by: Jesse Maseto <jesse@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Jonathan Druart 2017-08-30 20:01:27 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 6 Fridolin SOMERS 2017-09-29 13:53:53 UTC
Enhancement not pushed to 17.05.x